<?php

namespace Services;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Generate Services
 * @subpackage Services
 */
class Generate extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named generatePackagesNumbersCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV1 $parameters
     * @return \Structs\GeneratePackagesNumbersCV1Response|bool
     */
    public function generatePackagesNumbersCV1(\Structs\GeneratePackagesNumbersCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV2 $parameters
     * @return \Structs\GeneratePackagesNumbersCV2Response|bool
     */
    public function generatePackagesNumbersCV2(\Structs\GeneratePackagesNumbersCV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateInternationalPackageNumbersCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateInternationalPackageNumbersCV1 $parameters
     * @return \Structs\GenerateInternationalPackageNumbersCV1Response|bool
     */
    public function generateInternationalPackageNumbersCV1(\Structs\GenerateInternationalPackageNumbersCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateInternationalPackageNumbersCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV5
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV5 $parameters
     * @return \Structs\GeneratePackagesNumbersCV5Response|bool
     */
    public function generatePackagesNumbersCV5(\Structs\GeneratePackagesNumbersCV5 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV5($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV6
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV6 $parameters
     * @return \Structs\GeneratePackagesNumbersCV6Response|bool
     */
    public function generatePackagesNumbersCV6(\Structs\GeneratePackagesNumbersCV6 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV6($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV3
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV3 $parameters
     * @return \Structs\GeneratePackagesNumbersCV3Response|bool
     */
    public function generatePackagesNumbersCV3(\Structs\GeneratePackagesNumbersCV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV4
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV4 $parameters
     * @return \Structs\GeneratePackagesNumbersCV4Response|bool
     */
    public function generatePackagesNumbersCV4(\Structs\GeneratePackagesNumbersCV4 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV4($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV9
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV9 $parameters
     * @return \Structs\GeneratePackagesNumbersCV9Response|bool
     */
    public function generatePackagesNumbersCV9(\Structs\GeneratePackagesNumbersCV9 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV9($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV7
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV7 $parameters
     * @return \Structs\GeneratePackagesNumbersCV7Response|bool
     */
    public function generatePackagesNumbersCV7(\Structs\GeneratePackagesNumbersCV7 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV7($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersCV8
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersCV8 $parameters
     * @return \Structs\GeneratePackagesNumbersCV8Response|bool
     */
    public function generatePackagesNumbersCV8(\Structs\GeneratePackagesNumbersCV8 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersCV8($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateDomesticReturnLabelXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateDomesticReturnLabelXV1 $parameters
     * @return \Structs\GenerateDomesticReturnLabelXV1Response|bool
     */
    public function generateDomesticReturnLabelXV1(\Structs\GenerateDomesticReturnLabelXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateDomesticReturnLabelXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV8
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV8 $parameters
     * @return \Structs\GeneratePackagesNumbersXV8Response|bool
     */
    public function generatePackagesNumbersXV8(\Structs\GeneratePackagesNumbersXV8 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV8($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV9
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV9 $parameters
     * @return \Structs\GeneratePackagesNumbersXV9Response|bool
     */
    public function generatePackagesNumbersXV9(\Structs\GeneratePackagesNumbersXV9 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV9($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV6
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV6 $parameters
     * @return \Structs\GeneratePackagesNumbersXV6Response|bool
     */
    public function generatePackagesNumbersXV6(\Structs\GeneratePackagesNumbersXV6 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV6($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV7
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV7 $parameters
     * @return \Structs\GeneratePackagesNumbersXV7Response|bool
     */
    public function generatePackagesNumbersXV7(\Structs\GeneratePackagesNumbersXV7 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV7($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateProtocolXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolXV1 $parameters
     * @return \Structs\GenerateProtocolXV1Response|bool
     */
    public function generateProtocolXV1(\Structs\GenerateProtocolXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateProtocolXV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolXV2 $parameters
     * @return \Structs\GenerateProtocolXV2Response|bool
     */
    public function generateProtocolXV2(\Structs\GenerateProtocolXV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolXV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateShipmentXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateShipmentXV1 $parameters
     * @return \Structs\GenerateShipmentXV1Response|bool
     */
    public function generateShipmentXV1(\Structs\GenerateShipmentXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateShipmentXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateReturnLabelXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateReturnLabelXV1 $parameters
     * @return \Structs\GenerateReturnLabelXV1Response|bool
     */
    public function generateReturnLabelXV1(\Structs\GenerateReturnLabelXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateReturnLabelXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV1 $parameters
     * @return \Structs\GeneratePackagesNumbersXV1Response|bool
     */
    public function generatePackagesNumbersXV1(\Structs\GeneratePackagesNumbersXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV4
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV4 $parameters
     * @return \Structs\GeneratePackagesNumbersXV4Response|bool
     */
    public function generatePackagesNumbersXV4(\Structs\GeneratePackagesNumbersXV4 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV4($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV5
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV5 $parameters
     * @return \Structs\GeneratePackagesNumbersXV5Response|bool
     */
    public function generatePackagesNumbersXV5(\Structs\GeneratePackagesNumbersXV5 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV5($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV2 $parameters
     * @return \Structs\GeneratePackagesNumbersXV2Response|bool
     */
    public function generatePackagesNumbersXV2(\Structs\GeneratePackagesNumbersXV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generatePackagesNumbersXV3
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GeneratePackagesNumbersXV3 $parameters
     * @return \Structs\GeneratePackagesNumbersXV3Response|bool
     */
    public function generatePackagesNumbersXV3(\Structs\GeneratePackagesNumbersXV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generatePackagesNumbersXV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateShipmentCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateShipmentCV1 $parameters
     * @return \Structs\GenerateShipmentCV1Response|bool
     */
    public function generateShipmentCV1(\Structs\GenerateShipmentCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateShipmentCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateProtocolsWithDestinationsXV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolsWithDestinationsXV2 $parameters
     * @return \Structs\GenerateProtocolsWithDestinationsXV2Response|bool
     */
    public function generateProtocolsWithDestinationsXV2(\Structs\GenerateProtocolsWithDestinationsXV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolsWithDestinationsXV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsCV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsCV2 $parameters
     * @return \Structs\GenerateSpedLabelsCV2Response|bool
     */
    public function generateSpedLabelsCV2(\Structs\GenerateSpedLabelsCV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsCV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateProtocolsWithDestinationsXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolsWithDestinationsXV1 $parameters
     * @return \Structs\GenerateProtocolsWithDestinationsXV1Response|bool
     */
    public function generateProtocolsWithDestinationsXV1(\Structs\GenerateProtocolsWithDestinationsXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolsWithDestinationsXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsCV1 $parameters
     * @return \Structs\GenerateSpedLabelsCV1Response|bool
     */
    public function generateSpedLabelsCV1(\Structs\GenerateSpedLabelsCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsCV4
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsCV4 $parameters
     * @return \Structs\GenerateSpedLabelsCV4Response|bool
     */
    public function generateSpedLabelsCV4(\Structs\GenerateSpedLabelsCV4 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsCV4($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsCV3
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsCV3 $parameters
     * @return \Structs\GenerateSpedLabelsCV3Response|bool
     */
    public function generateSpedLabelsCV3(\Structs\GenerateSpedLabelsCV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsCV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateInternationalPackageNumbersXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateInternationalPackageNumbersXV1 $parameters
     * @return \Structs\GenerateInternationalPackageNumbersXV1Response|bool
     */
    public function generateInternationalPackageNumbersXV1(\Structs\GenerateInternationalPackageNumbersXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateInternationalPackageNumbersXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateProtocolCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolCV1 $parameters
     * @return \Structs\GenerateProtocolCV1Response|bool
     */
    public function generateProtocolCV1(\Structs\GenerateProtocolCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateReturnLabelCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateReturnLabelCV1 $parameters
     * @return \Structs\GenerateReturnLabelCV1Response|bool
     */
    public function generateReturnLabelCV1(\Structs\GenerateReturnLabelCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateReturnLabelCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateProtocolCV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolCV2 $parameters
     * @return \Structs\GenerateProtocolCV2Response|bool
     */
    public function generateProtocolCV2(\Structs\GenerateProtocolCV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolCV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateProtocolsWithDestinationsCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolsWithDestinationsCV1 $parameters
     * @return \Structs\GenerateProtocolsWithDestinationsCV1Response|bool
     */
    public function generateProtocolsWithDestinationsCV1(\Structs\GenerateProtocolsWithDestinationsCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolsWithDestinationsCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateProtocolsWithDestinationsCV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateProtocolsWithDestinationsCV2 $parameters
     * @return \Structs\GenerateProtocolsWithDestinationsCV2Response|bool
     */
    public function generateProtocolsWithDestinationsCV2(\Structs\GenerateProtocolsWithDestinationsCV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateProtocolsWithDestinationsCV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsXV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsXV1 $parameters
     * @return \Structs\GenerateSpedLabelsXV1Response|bool
     */
    public function generateSpedLabelsXV1(\Structs\GenerateSpedLabelsXV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsXV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsXV3
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsXV3 $parameters
     * @return \Structs\GenerateSpedLabelsXV3Response|bool
     */
    public function generateSpedLabelsXV3(\Structs\GenerateSpedLabelsXV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsXV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsXV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsXV2 $parameters
     * @return \Structs\GenerateSpedLabelsXV2Response|bool
     */
    public function generateSpedLabelsXV2(\Structs\GenerateSpedLabelsXV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsXV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateSpedLabelsXV4
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateSpedLabelsXV4 $parameters
     * @return \Structs\GenerateSpedLabelsXV4Response|bool
     */
    public function generateSpedLabelsXV4(\Structs\GenerateSpedLabelsXV4 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateSpedLabelsXV4($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateDomesticReturnLabelCV1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Structs\GenerateDomesticReturnLabelCV1 $parameters
     * @return \Structs\GenerateDomesticReturnLabelCV1Response|bool
     */
    public function generateDomesticReturnLabelCV1(\Structs\GenerateDomesticReturnLabelCV1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateDomesticReturnLabelCV1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \Structs\GenerateDomesticReturnLabelCV1Response|\Structs\GenerateDomesticReturnLabelXV1Response|\Structs\GenerateInternationalPackageNumbersCV1Response|\Structs\GenerateInternationalPackageNumbersXV1Response|\Structs\GeneratePackagesNumbersCV1Response|\Structs\GeneratePackagesNumbersCV2Response|\Structs\GeneratePackagesNumbersCV3Response|\Structs\GeneratePackagesNumbersCV4Response|\Structs\GeneratePackagesNumbersCV5Response|\Structs\GeneratePackagesNumbersCV6Response|\Structs\GeneratePackagesNumbersCV7Response|\Structs\GeneratePackagesNumbersCV8Response|\Structs\GeneratePackagesNumbersCV9Response|\Structs\GeneratePackagesNumbersXV1Response|\Structs\GeneratePackagesNumbersXV2Response|\Structs\GeneratePackagesNumbersXV3Response|\Structs\GeneratePackagesNumbersXV4Response|\Structs\GeneratePackagesNumbersXV5Response|\Structs\GeneratePackagesNumbersXV6Response|\Structs\GeneratePackagesNumbersXV7Response|\Structs\GeneratePackagesNumbersXV8Response|\Structs\GeneratePackagesNumbersXV9Response|\Structs\GenerateProtocolCV1Response|\Structs\GenerateProtocolCV2Response|\Structs\GenerateProtocolsWithDestinationsCV1Response|\Structs\GenerateProtocolsWithDestinationsCV2Response|\Structs\GenerateProtocolsWithDestinationsXV1Response|\Structs\GenerateProtocolsWithDestinationsXV2Response|\Structs\GenerateProtocolXV1Response|\Structs\GenerateProtocolXV2Response|\Structs\GenerateReturnLabelCV1Response|\Structs\GenerateReturnLabelXV1Response|\Structs\GenerateShipmentCV1Response|\Structs\GenerateShipmentXV1Response|\Structs\GenerateSpedLabelsCV1Response|\Structs\GenerateSpedLabelsCV2Response|\Structs\GenerateSpedLabelsCV3Response|\Structs\GenerateSpedLabelsCV4Response|\Structs\GenerateSpedLabelsXV1Response|\Structs\GenerateSpedLabelsXV2Response|\Structs\GenerateSpedLabelsXV3Response|\Structs\GenerateSpedLabelsXV4Response
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
