<?php

namespace Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeniedAccessWSException Structs
 * Meta information extracted from the WSDL
 * - type: tns:DeniedAccessWSException
 * @subpackage Structs
 */
class DeniedAccessWSException extends AbstractStructBase
{
    /**
     * The errorCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $errorCode;
    /**
     * The exceptionDetails
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $exceptionDetails;
    /**
     * The message
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $message;
    /**
     * Constructor method for DeniedAccessWSException
     * @uses DeniedAccessWSException::setErrorCode()
     * @uses DeniedAccessWSException::setExceptionDetails()
     * @uses DeniedAccessWSException::setMessage()
     * @param int $errorCode
     * @param string $exceptionDetails
     * @param string $message
     */
    public function __construct($errorCode = null, $exceptionDetails = null, $message = null)
    {
        $this
            ->setErrorCode($errorCode)
            ->setExceptionDetails($exceptionDetails)
            ->setMessage($message);
    }
    /**
     * Get errorCode value
     * @return int|null
     */
    public function getErrorCode()
    {
        return $this->errorCode;
    }
    /**
     * Set errorCode value
     * @param int $errorCode
     * @return \Structs\DeniedAccessWSException
     */
    public function setErrorCode($errorCode = null)
    {
        // validation for constraint: int
        if (!is_null($errorCode) && !(is_int($errorCode) || ctype_digit($errorCode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($errorCode, true), gettype($errorCode)), __LINE__);
        }
        $this->errorCode = $errorCode;
        return $this;
    }
    /**
     * Get exceptionDetails value
     * @return string|null
     */
    public function getExceptionDetails()
    {
        return $this->exceptionDetails;
    }
    /**
     * Set exceptionDetails value
     * @param string $exceptionDetails
     * @return \Structs\DeniedAccessWSException
     */
    public function setExceptionDetails($exceptionDetails = null)
    {
        // validation for constraint: string
        if (!is_null($exceptionDetails) && !is_string($exceptionDetails)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($exceptionDetails, true), gettype($exceptionDetails)), __LINE__);
        }
        $this->exceptionDetails = $exceptionDetails;
        return $this;
    }
    /**
     * Get message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->message;
    }
    /**
     * Set message value
     * @param string $message
     * @return \Structs\DeniedAccessWSException
     */
    public function setMessage($message = null)
    {
        // validation for constraint: string
        if (!is_null($message) && !is_string($message)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($message, true), gettype($message)), __LINE__);
        }
        $this->message = $message;
        return $this;
    }
}
