<?php

namespace Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findPostalCodeXV1 Structs
 * Meta information extracted from the WSDL
 * - type: tns:findPostalCodeXV1
 * @subpackage Structs
 */
class FindPostalCodeXV1 extends AbstractStructBase
{
    /**
     * The postalCodeV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $postalCodeV1;
    /**
     * The authDataV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Structs\AuthDataV1
     */
    public $authDataV1;
    /**
     * Constructor method for findPostalCodeXV1
     * @uses FindPostalCodeXV1::setPostalCodeV1()
     * @uses FindPostalCodeXV1::setAuthDataV1()
     * @param string $postalCodeV1
     * @param \Structs\AuthDataV1 $authDataV1
     */
    public function __construct($postalCodeV1 = null, \Structs\AuthDataV1 $authDataV1 = null)
    {
        $this
            ->setPostalCodeV1($postalCodeV1)
            ->setAuthDataV1($authDataV1);
    }
    /**
     * Get postalCodeV1 value
     * @return string|null
     */
    public function getPostalCodeV1()
    {
        return $this->postalCodeV1;
    }
    /**
     * Set postalCodeV1 value
     * @param string $postalCodeV1
     * @return \Structs\FindPostalCodeXV1
     */
    public function setPostalCodeV1($postalCodeV1 = null)
    {
        // validation for constraint: string
        if (!is_null($postalCodeV1) && !is_string($postalCodeV1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postalCodeV1, true), gettype($postalCodeV1)), __LINE__);
        }
        $this->postalCodeV1 = $postalCodeV1;
        return $this;
    }
    /**
     * Get authDataV1 value
     * @return \Structs\AuthDataV1|null
     */
    public function getAuthDataV1()
    {
        return $this->authDataV1;
    }
    /**
     * Set authDataV1 value
     * @param \Structs\AuthDataV1 $authDataV1
     * @return \Structs\FindPostalCodeXV1
     */
    public function setAuthDataV1(\Structs\AuthDataV1 $authDataV1 = null)
    {
        $this->authDataV1 = $authDataV1;
        return $this;
    }
}
