<?php

namespace Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for generateSpedLabelsXV2 Structs
 * Meta information extracted from the WSDL
 * - type: tns:generateSpedLabelsXV2
 * @subpackage Structs
 */
class GenerateSpedLabelsXV2 extends AbstractStructBase
{
    /**
     * The dpdServicesParamsXV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dpdServicesParamsXV1;
    /**
     * The outputDocFormatV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputDocFormatV1;
    /**
     * The outputDocPageFormatV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputDocPageFormatV1;
    /**
     * The outputLabelTypeV2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputLabelTypeV2;
    /**
     * The authDataV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Structs\AuthDataV1
     */
    public $authDataV1;
    /**
     * Constructor method for generateSpedLabelsXV2
     * @uses GenerateSpedLabelsXV2::setDpdServicesParamsXV1()
     * @uses GenerateSpedLabelsXV2::setOutputDocFormatV1()
     * @uses GenerateSpedLabelsXV2::setOutputDocPageFormatV1()
     * @uses GenerateSpedLabelsXV2::setOutputLabelTypeV2()
     * @uses GenerateSpedLabelsXV2::setAuthDataV1()
     * @param string $dpdServicesParamsXV1
     * @param string $outputDocFormatV1
     * @param string $outputDocPageFormatV1
     * @param string $outputLabelTypeV2
     * @param \Structs\AuthDataV1 $authDataV1
     */
    public function __construct($dpdServicesParamsXV1 = null, $outputDocFormatV1 = null, $outputDocPageFormatV1 = null, $outputLabelTypeV2 = null, \Structs\AuthDataV1 $authDataV1 = null)
    {
        $this
            ->setDpdServicesParamsXV1($dpdServicesParamsXV1)
            ->setOutputDocFormatV1($outputDocFormatV1)
            ->setOutputDocPageFormatV1($outputDocPageFormatV1)
            ->setOutputLabelTypeV2($outputLabelTypeV2)
            ->setAuthDataV1($authDataV1);
    }
    /**
     * Get dpdServicesParamsXV1 value
     * @return string|null
     */
    public function getDpdServicesParamsXV1()
    {
        return $this->dpdServicesParamsXV1;
    }
    /**
     * Set dpdServicesParamsXV1 value
     * @param string $dpdServicesParamsXV1
     * @return \Structs\GenerateSpedLabelsXV2
     */
    public function setDpdServicesParamsXV1($dpdServicesParamsXV1 = null)
    {
        // validation for constraint: string
        if (!is_null($dpdServicesParamsXV1) && !is_string($dpdServicesParamsXV1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dpdServicesParamsXV1, true), gettype($dpdServicesParamsXV1)), __LINE__);
        }
        $this->dpdServicesParamsXV1 = $dpdServicesParamsXV1;
        return $this;
    }
    /**
     * Get outputDocFormatV1 value
     * @return string|null
     */
    public function getOutputDocFormatV1()
    {
        return $this->outputDocFormatV1;
    }
    /**
     * Set outputDocFormatV1 value
     * @uses \Enums\OutputDocFormatDSPEnumV1::valueIsValid()
     * @uses \Enums\OutputDocFormatDSPEnumV1::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $outputDocFormatV1
     * @return \Structs\GenerateSpedLabelsXV2
     */
    public function setOutputDocFormatV1($outputDocFormatV1 = null)
    {
        // validation for constraint: enumeration
        if (!\Enums\OutputDocFormatDSPEnumV1::valueIsValid($outputDocFormatV1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \Enums\OutputDocFormatDSPEnumV1', is_array($outputDocFormatV1) ? implode(', ', $outputDocFormatV1) : var_export($outputDocFormatV1, true), implode(', ', \Enums\OutputDocFormatDSPEnumV1::getValidValues())), __LINE__);
        }
        $this->outputDocFormatV1 = $outputDocFormatV1;
        return $this;
    }
    /**
     * Get outputDocPageFormatV1 value
     * @return string|null
     */
    public function getOutputDocPageFormatV1()
    {
        return $this->outputDocPageFormatV1;
    }
    /**
     * Set outputDocPageFormatV1 value
     * @uses \Enums\OutputDocPageFormatDSPEnumV1::valueIsValid()
     * @uses \Enums\OutputDocPageFormatDSPEnumV1::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $outputDocPageFormatV1
     * @return \Structs\GenerateSpedLabelsXV2
     */
    public function setOutputDocPageFormatV1($outputDocPageFormatV1 = null)
    {
        // validation for constraint: enumeration
        if (!\Enums\OutputDocPageFormatDSPEnumV1::valueIsValid($outputDocPageFormatV1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \Enums\OutputDocPageFormatDSPEnumV1', is_array($outputDocPageFormatV1) ? implode(', ', $outputDocPageFormatV1) : var_export($outputDocPageFormatV1, true), implode(', ', \Enums\OutputDocPageFormatDSPEnumV1::getValidValues())), __LINE__);
        }
        $this->outputDocPageFormatV1 = $outputDocPageFormatV1;
        return $this;
    }
    /**
     * Get outputLabelTypeV2 value
     * @return string|null
     */
    public function getOutputLabelTypeV2()
    {
        return $this->outputLabelTypeV2;
    }
    /**
     * Set outputLabelTypeV2 value
     * @param string $outputLabelTypeV2
     * @return \Structs\GenerateSpedLabelsXV2
     */
    public function setOutputLabelTypeV2($outputLabelTypeV2 = null)
    {
        // validation for constraint: string
        if (!is_null($outputLabelTypeV2) && !is_string($outputLabelTypeV2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($outputLabelTypeV2, true), gettype($outputLabelTypeV2)), __LINE__);
        }
        $this->outputLabelTypeV2 = $outputLabelTypeV2;
        return $this;
    }
    /**
     * Get authDataV1 value
     * @return \Structs\AuthDataV1|null
     */
    public function getAuthDataV1()
    {
        return $this->authDataV1;
    }
    /**
     * Set authDataV1 value
     * @param \Structs\AuthDataV1 $authDataV1
     * @return \Structs\GenerateSpedLabelsXV2
     */
    public function setAuthDataV1(\Structs\AuthDataV1 $authDataV1 = null)
    {
        $this->authDataV1 = $authDataV1;
        return $this;
    }
}
